Page MenuHomePhabricator

Enable storage and pre-generation for PCS endpoints
Closed, ResolvedPublic

Description

The Page Content Service exposes several endpoints via RESTBase like /mobile-html, /references, /media-list etc. These endpoints are currently publicly available via RESTBase, but they are still not used by our apps. The endpoints are very slow, so they can not be used in production without adding storage and pregeneration via ChangeProp.

Android app is planning to start using the endpoints in Q1, so we will need to work on adding storage.

Event Timeline

Pchelolo created this task.May 2 2019, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pchelolo moved this task from Backlog to later on the Services board.May 13 2019, 10:58 AM
Pchelolo edited projects, added Services (later); removed Services.
bearND added a subscriber: bearND.Jul 8 2019, 5:14 PM
WDoranWMF triaged this task as High priority.Jul 18 2019, 9:06 PM
WDoranWMF moved this task from Backlog to Tracking on the User-WDoran board.Jul 18 2019, 9:23 PM
bearND updated the task description. (Show Details)Jul 18 2019, 9:39 PM

Change 525150 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/deploy@master] Rerender stored PCS endpoints.

https://gerrit.wikimedia.org/r/525150

Change 525150 merged by Ppchelko:
[mediawiki/services/change-propagation/deploy@master] Rerender stored PCS endpoints.

https://gerrit.wikimedia.org/r/525150

Storage and purging with change-prop for PCS endpoints were deployed in the beta cluster, seems to work fine.

Mentioned in SAL (#wikimedia-operations) [2019-07-24T20:36:52Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@bf28187]: Rerender PCS endpoints T222384

Mentioned in SAL (#wikimedia-operations) [2019-07-24T20:38:26Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@bf28187]: Rerender PCS endpoints T222384 (duration: 01m 34s)

Mentioned in SAL (#wikimedia-operations) [2019-07-24T20:45:20Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@7911f65]: Store PCS endpoints T222384

The storage and purging was deployed in production as well. I've filed several followups agains mobile content service, but they are minor. All seem to be working so far. Please test!

Mentioned in SAL (#wikimedia-operations) [2019-07-24T21:03:38Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@7911f65]: Store PCS endpoints T222384 (duration: 18m 18s)

Pchelolo closed this task as Resolved.Thu, Jul 25, 9:22 PM